Bug 111603 - cdrecord can't use /dev/hdk with dev=ATAPI:
Summary: cdrecord can't use /dev/hdk with dev=ATAPI:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: cdrtools   
(Show other bugs)
Version: 1
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Harald Hoyer
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-12-05 22:51 UTC by Alexandre Oliva
Modified: 2007-11-30 22:10 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-01-29 13:36:39 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Alexandre Oliva 2003-12-05 22:51:41 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.5) Gecko/20031202

Description of problem:
A CDRW device in /dev/hdk is not reported with cdrecord -scanbus
-dev=ATAPI:, and using ATAPI:0,10,0 or ATAPI:1,2,0 as the device
causes an error.  strace shows that cdrecord doesn't go beyond
/dev/hdh in looking for ATAPI devices.  I suppose I might reorder
disks to get the CDRW device within /dev/hd[a-h], but why should I
have to?  I'm going with ide-scsi for the time being.

Version-Release number of selected component (if applicable):
cdrecord-2.01-0.a19.2

How reproducible:
Always

Steps to Reproduce:
1.Install a CD or DVD drive such that it's recognized as /dev/hd[i-t]
2.Make sure ide-scsi is not enable
3.Try to get cdrecord to access the device

Actual Results:  You can't.  Well, *I* can't :-)

Expected Results:  I wish I could.

Additional info:

Comment 1 Alexandre Oliva 2004-02-24 19:13:41 UTC
Confirmed fixed in FC2test1+updates.


Note You need to log in before you can comment on or make changes to this bug.